Bug 533615 - KMS:Rv200|M7:7500:Mesa fonts rendering issues and gnome-shell blackness
KMS:Rv200|M7:7500:Mesa fonts rendering issues and gnome-shell blackness
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
card_R100/m
: Reopened, Triaged
: 540087 576603 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-07 16:14 EST by Chitlesh GOORAH
Modified: 2010-12-03 22:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:27:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gnome shell blackness (249.08 KB, image/png)
2009-11-07 16:15 EST, Chitlesh GOORAH
no flags Details
fonts craziness (109.71 KB, image/png)
2009-11-07 16:16 EST, Chitlesh GOORAH
no flags Details
/var/log/Xorg.0.log (41.54 KB, text/plain)
2009-11-09 06:45 EST, Chitlesh GOORAH
no flags Details
output of the dmesg command (37.60 KB, text/plain)
2009-11-09 06:46 EST, Chitlesh GOORAH
no flags Details
/etc/X11/xorg.conf (983 bytes, text/plain)
2010-05-24 05:57 EDT, Alain Portal
no flags Details
/var/log/Xorg.0.log (35.61 KB, text/plain)
2010-05-24 06:06 EDT, Alain Portal
no flags Details
dmesg output (44.59 KB, text/plain)
2010-05-24 06:07 EDT, Alain Portal
no flags Details
dmesg output (30.65 KB, text/plain)
2010-11-30 23:38 EST, mark gress
no flags Details
xlog (56.88 KB, text/plain)
2010-11-30 23:39 EST, mark gress
no flags Details

  None (edit)
Description Chitlesh GOORAH 2009-11-07 16:14:44 EST
Description of problem:
On F-12 with latest updates, gnome has some rendering issues with using default driver set by fedora. This forces me to restart my session every 5 minutes because the fonts become unreadable. see attachment. I have to set driver vesa in order to use my gnome session.

lspci

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]

lspci -vv
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500] (prog-if 00 [VGA controller])
	Subsystem: IBM ThinkPad T42 2373-4WU
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR+ FastB2B+ DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at 3000 [size=256]
	Region 2: Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at c0120000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon
	Kernel modules: radeon, radeonfb

lspci -n

01:00.0 0300: 1002:4c57

dmesg
[drm:radeon_cs_ioctl] *ERROR* Invalid command stream !
[drm:r100_cs_track_texture_check] *ERROR* Texture of unit 0 needs 123136 bytes but is 4096
[drm:r100_cs_track_texture_print] *ERROR* pitch                      1664
[drm:r100_cs_track_texture_print] *ERROR* use_pitch                  1
[drm:r100_cs_track_texture_print] *ERROR* width                      405
[drm:r100_cs_track_texture_print] *ERROR* width_11                   2048
[drm:r100_cs_track_texture_print] *ERROR* height                     74
[drm:r100_cs_track_texture_print] *ERROR* height_11                  2048
[drm:r100_cs_track_texture_print] *ERROR* num levels                 0
[drm:r100_cs_track_texture_print] *ERROR* depth                      0
[drm:r100_cs_track_texture_print] *ERROR* bpp                        4
[drm:r100_cs_track_texture_print] *ERROR* coordinate type            0
[drm:r100_cs_track_texture_print] *ERROR* width round to power of 2  0
[drm:r100_cs_track_texture_print] *ERROR* height round to power of 2 0
[drm:radeon_cs_ioctl] *ERROR* Invalid command stream !



Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686

How reproducible:
Everytime

Steps to Reproduce:

gnome-shell
1. desktop-effects
2. gnome-shell

rendering issues: log in gnome and fire firefox. The fonts go crazy.
  
Actual results:
see attachment

Expected results:


Additional info:
Comment 1 Chitlesh GOORAH 2009-11-07 16:15:29 EST
Created attachment 367973 [details]
gnome shell blackness
Comment 2 Chitlesh GOORAH 2009-11-07 16:16:12 EST
Created attachment 367974 [details]
fonts craziness
Comment 3 Matěj Cepl 2009-11-09 06:24:32 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Chitlesh GOORAH 2009-11-09 06:44:35 EST
I have not /etc/X11/xorg.conf.

I'm uploading the output of the dmesg command and the /var/log/Xorg.0.log
Comment 5 Chitlesh GOORAH 2009-11-09 06:45:15 EST
Created attachment 368187 [details]
/var/log/Xorg.0.log

the file /var/log/Xorg.0.log
Comment 6 Chitlesh GOORAH 2009-11-09 06:46:05 EST
Created attachment 368188 [details]
output of the dmesg command
Comment 7 Matěj Cepl 2009-11-09 08:23:12 EST

*** This bug has been marked as a duplicate of bug 529081 ***
Comment 8 Jerome Glisse 2009-11-09 10:30:24 EST
Chitlesh were you using any GL apps at the time the corruption show up ? Does adding radeon.agpmode=-1 to kernel command line fix the issue ? I am not sure your bug is a duplicate of 529081.
Comment 9 Chitlesh GOORAH 2009-11-09 11:21:53 EST
Well I don't think neither. Hence reopening the bug.

There  were 2 issues:

1) font rendering issue : which appeared to be solved with yesterday's update

2) this black windows issue with gnome shell.

@Jerome, no I was not using any GL apps except trying to launch gnome-shell

radeon.agpmode=-1 doesn't help for this black GTK windows issue. 


On trying compiz from desktop-effects, I have the following on the console:

chitlesh(~)[0]$desktop-effects 
gtk-window-decorator: Screen 0 on display ":0.0" already has a decoration manager; try using the --replace option to replace the current decoration manager.
compiz (cube) - Warn: Failed to load slide: /usr/share/pixmaps/fedora-logo
Cannot register the panel shell: there is already one running.
compiz (core) - Error: Plugin 'text' not loaded.

compiz (group) - Warn: No compatible text plugin loaded.
drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.
Cannot register the panel shell: there is already one running.



Also I don't have any window decorator when trying to launch compiz from desktop-effects's gui.
Comment 10 Jerome Glisse 2009-11-12 13:48:27 EST
So the font rendering issue is back ? Does font are rerender properly if you minimize the window and remaximize it after ?
Comment 11 Chitlesh GOORAH 2009-11-19 06:54:17 EST
The font rendering issue has been fixed. However the gnome-shell blackness is still there.
Comment 12 Jerome Glisse 2009-11-23 07:07:47 EST
*** Bug 540087 has been marked as a duplicate of this bug. ***
Comment 13 Jerome Glisse 2010-01-13 11:54:56 EST
Do you still have the blackness issue with lastest fedora 12 packages ? Also do you have desktop effect actived ? Does it happens if desktop effect are turned of ?
Comment 14 Pavel Ondračka 2010-01-19 05:00:26 EST
(In reply to comment #13)
> Do you still have the blackness issue with lastest fedora 12 packages ? Also do
> you have desktop effect actived ? Does it happens if desktop effect are turned
> of ?    

I'm not using gnome shell, but issues described in Bug 540087 (which was closed as duplicate of this one) still persist with latest packages from updates-testing. This happens with both desktop effects turned on or off.
Comment 15 Matěj Cepl 2010-03-30 12:16:30 EDT
*** Bug 576603 has been marked as a duplicate of this bug. ***
Comment 16 Alain Portal 2010-05-24 05:54:39 EDT
I get the same bug as reported here:
https://bugzilla.redhat.com/show_bug.cgi?id=576603
Adding "radeon.modeset=0" fix the problem.
Comment 17 Alain Portal 2010-05-24 05:57:21 EDT
Created attachment 416070 [details]
/etc/X11/xorg.conf
Comment 18 Alain Portal 2010-05-24 06:06:15 EDT
Created attachment 416073 [details]
/var/log/Xorg.0.log
Comment 19 Alain Portal 2010-05-24 06:07:17 EDT
Created attachment 416074 [details]
dmesg output
Comment 20 Alain Portal 2010-05-24 06:08:27 EDT
Driver version is xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12.x86_64
Comment 21 Alain Portal 2010-05-24 06:20:10 EDT
A possible duplicate is https://bugzilla.redhat.com/show_bug.cgi?id=592047
Comment 22 Bug Zapper 2010-11-04 02:43:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 mark gress 2010-11-30 23:35:48 EST
This is from fedora 13, all updates applied, using r200.

[user@localhost ~]$ warzone2100
drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.
AL lib: ALc.c:1879: exit(): closing 1 Device
AL lib: ALc.c:1808: alcCloseDevice(): destroying 1 Context(s)
AL lib: ALc.c:1420: alcDestroyContext(): deleting 1 Source(s)
AL lib: ALc.c:1818: alcCloseDevice(): deleting 41 Buffer(s)
[user@localhost ~]$ glest
drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.
drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.
Comment 24 mark gress 2010-11-30 23:38:20 EST
Created attachment 463892 [details]
dmesg output
Comment 25 mark gress 2010-11-30 23:39:51 EST
Created attachment 463893 [details]
xlog
Comment 26 mark gress 2010-11-30 23:43:14 EST
No xorg.conf file in etc/x11
Comment 27 Bug Zapper 2010-12-03 22:27:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.